| Home | Libraries | People | FAQ | More

##### io_service::poll_one (1 of 2 overloads)

Run the `io_service` object's event processing loop to execute one ready handler.

    std::size_t poll_one();

The `poll_one()` function runs at most one handler that is ready to run, without blocking.

###### Return Value

The number of handlers that were executed.

###### Exceptions

boost::system::system_error

  Thrown on failure.